Bug 90221 - /etc/rc.d/init.d/mysqld isn't marked as a config file
/etc/rc.d/init.d/mysqld isn't marked as a config file
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 12:45 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-07 11:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-05-05 12:45:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
/etc/rc.d/init.d/mysqld needs to be considered a config file in the rpm spec
file. This will prevent it from being replaced silently on update. I have to
modify /etc/rc.d/init.d/mysqld to make other programs that depend on mysqld work.

Version-Release number of selected component (if applicable):
mysql-server-3.23.56-1.73

How reproducible:
Always

Steps to Reproduce:
1. Modify /etc/rc.d/init.d/mysqld
2. Upgrade to a newer version of mysql-server
3. Look at /etc/rc.d/init.d/mysqld

Actual Results:  It has been replaced and modifications are missing

Expected Results:  It hasn't been replaced, modifications are still intact, and
there is a /etc/rc.d/init.d/mysqld.rpmnew

Additional info:
Comment 1 Patrick Macdonald 2003-05-07 11:06:38 EDT
This is really working as designed.  The init script is something that we
control for that particular version of the package.  It could contain
modifications/additions that are not in your existing mysqld init script. 
Running your updated version with the old init script could cause problems. The
other database that we support, PostgreSQL, handles the init script in the same
fashion.
Comment 2 Nathan G. Grennan 2003-05-07 12:59:47 EDT
I disagree when there is no way to do things that depend on a service other than
putting in the init.d script. An alternative would be to have a set location
that the init.d script would check for and call it if it was there. If you won't
rethink you view, then highly consider this method. It fits within RedHat's
style of /etc/xinetd.d, /etc/pam.d, /etc/cron.d, /etc/profile.d, etc.

Note You need to log in before you can comment on or make changes to this bug.